body.no-scroll {
    overflow: hidden;
    position: fixed;
    width: 100%;
    height: 100%;
}



/* Notification Bell */
.notification-icon {
    position: fixed;
    bottom: 20px;
    right: 20px;
    color: gold;
    width: 70px;
    height: 70px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 40px;
    cursor: pointer;
    z-index: 9999;
    transition: transform 0.2s ease-in-out;
}

.notification-icon:hover {
    animation: ring 0.5s ease-in-out infinite;
}

@keyframes ring {
    0% { transform: rotate(0deg); }
    10% { transform: rotate(10deg); }
    20% { transform: rotate(-10deg); }
    30% { transform: rotate(10deg); }
    40% { transform: rotate(-10deg); }
    50% { transform: rotate(10deg); }
    60% { transform: rotate(-10deg); }
    70% { transform: rotate(10deg); }
    80% { transform: rotate(-10deg); }
    90% { transform: rotate(10deg); }
    100% { transform: rotate(0deg); }
}

/* Modal Overlay */
.notification-overlay {
    display: none; /* Hidden by default */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
    z-index: 9998; /* Below the modal, above the rest of the content */
}

/* Modal */
.notification-popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    color: black;
    border: 1px solid #ccc;
    padding: 40px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    z-index: 9999;
    width: 80%;
    max-width: 600px;
    text-align: center;
    font-family: 'Roboto Slab', serif;
}

.notification-popup .icon {
    font-size: 72px; /* Larger icon size */
    color: red;
    margin-bottom: 20px;
}

.notification-popup .popup-heading {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px;
}

.notification-popup .popup-content {
    font-size: 16px;
    margin-bottom: 20px;
}

.notification-popup button {
    background-color: black;
    color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
}

.notification-popup button:hover {
    background-color: grey;
}

/* Mobile Styles */
@media (max-width: 1100px) {
    .notification-popup {
        overflow-y: auto; /* Allow scrolling on mobile */
        width: 90%;
        max-width: 350px;
        padding: 20px;
        max-height: 70vh; /* Limit height for mobile */
    }
}